Library Version 18.1.40

back
Prev | Chapter 4. Db_vector | Next

## back

### Function Details

    reference back()

Return a reference to the last element.

#### Return Value

Return a reference to the last element.

#### See Also

http://www.cplusplus.com/reference/vector/vector/back/

    const_reference back() const

Return a reference to the last element.

The return value can't be used to update the element.

#### Return Value

Return a reference to the last element.

#### See Also

http://www.cplusplus.com/reference/vector/vector/back/

### Group: Element access functions.

The operator[] and at() only come from std::vector and std::deque, If you are using db_vector as std::list, you don't have to set DB_RENUMBER flag to the backing database handle, and you get better performance, but at the same time you can't use these functions.

Otherwise if you have set the DB_RENUMBER flag to the backing database handle, you can use this function though it is an std::list equivalent.

### Class

db_vector

Prev | Up | Next
front | Home | operator==